﻿import cmdlib
import es

addon = es.import_addon("soccer_mod_2011/cfg")

# ******************** Load ********************
def load():
	es.set("sm_scoreboard_set_time", 0)

	cmdlib.registerServerCommand("soccer_mod_scoreboard_set_time", set_time, "Server Command")

	es.set("sm_scoreboard_model", "models/soccer_mod/score_board_box.mdl")
	es.set("sm_scoreboard_model_number", "models/soccer_mod/score_board.mdl")

	cmdlib.registerServerCommand("soccer_mod_scoreboard_model_box", model, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_scoreboard_model_number", model_number, "Server Command")

	es.set("sm_scoreboard_color", "0 0 0")

	cmdlib.registerServerCommand("soccer_mod_scoreboard_color", color, "Server Command")

	es.set("sm_scoreboard_time_color_on", "150 255 150")
	es.set("sm_scoreboard_time_color_off", "0 0 0")

	cmdlib.registerServerCommand("soccer_mod_scoreboard_time_color_on", time_color_on, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_scoreboard_time_color_off", time_color_off, "Server Command")

	es.set("sm_scoreboard_t_color_on", "255 150 150")
	es.set("sm_scoreboard_t_color_off", "0 0 0")

	cmdlib.registerServerCommand("soccer_mod_scoreboard_t_color_on", t_color_on, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_scoreboard_t_color_off", t_color_off, "Server Command")

	es.set("sm_scoreboard_ct_color_on", "150 150 255")
	es.set("sm_scoreboard_ct_color_off", "0 0 0")

	cmdlib.registerServerCommand("soccer_mod_scoreboard_ct_color_on", ct_color_on, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_scoreboard_ct_color_off", ct_color_off, "Server Command")

# ******************** Commands ********************
def set_time(args):
	addon.integer("sm_scoreboard_set_time", args[0], -1440, 1440, 0)

def model(args):
	es.set("sm_scoreboard_model", args[0])

def model_number(args):
	es.set("sm_scoreboard_model_number", args[0])

def color(args):
	es.set("sm_scoreboard_color", args[0])

def time_color_on(args):
	es.set("sm_scoreboard_time_color_on", args[0])

def time_color_off(args):
	es.set("sm_scoreboard_time_color_off", args[0])

def t_color_on(args):
	es.set("sm_scoreboard_t_color_on", args[0])

def t_color_off(args):
	es.set("sm_scoreboard_t_color_off", args[0])

def ct_color_on(args):
	es.set("sm_scoreboard_ct_color_on", args[0])

def ct_color_off(args):
	es.set("sm_scoreboard_ct_color_off", args[0])

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_scoreboard_set_time")

	cmdlib.unregisterServerCommand("soccer_mod_scoreboard_model_box")
	cmdlib.unregisterServerCommand("soccer_mod_scoreboard_model_number")

	cmdlib.unregisterServerCommand("soccer_mod_scoreboard_color")

	cmdlib.unregisterServerCommand("soccer_mod_scoreboard_time_color_on")
	cmdlib.unregisterServerCommand("soccer_mod_scoreboard_time_color_off")

	cmdlib.unregisterServerCommand("soccer_mod_scoreboard_t_color_on")
	cmdlib.unregisterServerCommand("soccer_mod_scoreboard_t_color_off")

	cmdlib.unregisterServerCommand("soccer_mod_scoreboard_ct_color_on")
	cmdlib.unregisterServerCommand("soccer_mod_scoreboard_ct_color_off")