﻿import es
import esamlib
import langlib
import popuplib
import usermsg

lang_dir = "cstrike/addons/eventscripts/soccer_mod_2011/language/"

popup_common = langlib.Strings(lang_dir + "popup_common.ini")
popup_text = langlib.Strings(lang_dir + "info/popup_info_version.ini")

# ******************** Load ********************
def load():
	create_popup()

# ******************** Events ********************
def es_map_start(event_var):
	if es.ServerVar("sm_check_latest_version_on") == 1:
		addon = esamlib.getAddon("soccer_mod_2011")
		popuplib.find("sm_popup_info_version").modline(4, "%s: %s" % (popup_text("latest"), addon.currentversion))

# ******************** Create popup ********************
def create_popup():
	popup = popuplib.create("sm_popup_info_version")

	popup.addline("SOCCER MOD %s" % (popup_text("title")))
	popup.addline(" ")
	popup.addline("%s: %s" % (popup_text("current"), es.ServerVar("soccer_mod_2011_version")))

	if es.ServerVar("sm_check_latest_version_on") == 1:
		popup.addline("%s: %s" % (popup_text("latest"), popup_text("error")))

	popup.addline(" ")
	popup.addline(popup_text("info"))
	popup.addline("- http://addons.eventscripts.com/addons/view/soccer_mod_2011")
	popup.addline("- http://www.fcdordrechtclan.com")
	popup.addline(" ")
	popup.addline("->1. %s" % (popup_text("view")))
	popup.addline("->2. %s" % (popup_text("history")))
	popup.addline("->3. %s" % (popup_text("steam")))
	popup.addline(" ")
	popup.addline("->9. %s" % (popup_common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (popup_common("close")))

	for i in range(1, 4):
		popup.select(i, popup_choice)

	for i in range(4, 9):
		popup.submenu(i, "sm_popup_info_version")

	popup.submenu(9, "sm_popup_info")

# ******************** Popup choice ********************
def popup_choice(userid, choice, popupid):
	if choice == 1:
		usermsg.motd(userid, 2, "Soccer Mod 2011", "http://addons.eventscripts.com/addons/view/soccer_mod_2011")
	elif choice == 2:
		usermsg.motd(userid, 2, "Soccer Mod 2011 %s" % (popup_text("history_title")), "http://addons.eventscripts.com/addons/history/19388")
	elif choice == 3:
		usermsg.motd(userid, 2, "Soccer Mod Steam Group", "http://steamcommunity.com/groups/soccer_mod")

	popuplib.send(popupid, userid)

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_info_version")